local CG = ClosetGnome
if not CG or not LibStub then return end

ClosetGnomeSwapSpecs = LibStub("AceAddon-3.0"):NewAddon("ClosetGnome_SwapSpecs", "AceEvent-3.0")
local mod = ClosetGnomeSwapSpecs
ClosetGnome_SwapSpecsDB = {primary = nil, alternate = nil}

function mod:OnEnable()
	self:RegisterEvent("ACTIVE_TALENT_GROUP_CHANGED")
	ClosetGnome.RegisterCallback(self, "WearSet")
end

function mod:ACTIVE_TALENT_GROUP_CHANGED()
	local set = self:GetCurrentSetName()
	if ClosetGnome_SwapSpecsDB[set] then
		ClosetGnome:WearSet(ClosetGnome_SwapSpecsDB[set])
	end
end

function mod:WearSet(event, name)
	ClosetGnome_SwapSpecsDB[self:GetCurrentSetName()] = name
end

function mod:GetCurrentSetName()
	return GetActiveTalentGroup() == 1 and "primary" or "secondary"
end
